package com.yuchen.saas.park.service.service;

import com.yuchen.saas.park.api.entity.park.PmgBatParkBuildingInfo;
import com.yuchen.saas.park.api.vo.park.PmgBatParkBuildingInfoVo;
import com.yuchen.saas.park.api.vo.park.PmgBatParkSearchVo;
import org.nest.springwrap.core.mp.base.BaseService;
import org.nest.springwrap.core.tool.api.R;

import java.util.List;
import java.util.Map;

/**
 * @author 刘碧清
 * @date 2021/04/26 10:12
 */
public interface PmgBatParkBuildingInfoService extends BaseService<PmgBatParkBuildingInfo> {
    List<PmgBatParkBuildingInfo> getAll(String parkId);

    R submit(PmgBatParkBuildingInfoVo pmgBatParkBuildingInfoEntity);

    boolean deleteData(String id);

    List<Map<String, Object>> getRoomAll(PmgBatParkSearchVo pmgBatParkSearch);
}
